# RPM specfile for the MailToUrl package
# Copyright 2008 Parliament Hill Computers Ltd, all rights reserved.
# Author: ADDW December 2008
# SCCS: @(#)MailToUrl.spec	1.20.1.1 11/20/19 21:02:16
# Use SCCS codes to produce version and release numbers (codes surrounded by percent signs)
# Version: Release & Level: R L
# Release: Branch & Sequence: B S
# This is used in the Makefile.

%define name MailToUrl
%define version 1.20
%define release 1.1

Summary: Turn email attachments into URLs that can be forwarded in email
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://www.phcomp.co.uk/Downloads/MailToUrl-%{version}-%{release}.tar.gz
Vendor: %{vendor}
URL: %{phcl_url}

# Documentation directory.
# This changed with Fedora 30 (or something) and RedHat/CentOS 8
# It used to be /usr/share/doc/package-version, went to /usr/share/doc/package
%if 0%{?fedora} >= 30 || 0%{?rhel} >= 8
%define docd %{_docdir}/%{name}
%else
%define docd %{_docdir}/%{name}-%{version}
%endif

BuildArchitectures: noarch

License: GPL

Packager: %{packager}

Group: Applications/Archiving
BuildRoot: %{_builddir}/%{name}-root

# Cope with package name change
%if 0%{?rhel} >= 8 || 0%{?fedora} >= 30
%define perlPackage perl-interpreter
%else
%define perlPackage perl
%endif

Requires: coreutils %{perlPackage} perl-Data-Dumper perl-MIME-tools
BuildRequires: make sed

# This is only needed if we want to build a relocatable RPM:
#Prefix: %%{_prefix}

%description
MailToUrl is to help those people who send email with large attachments - which is a bad idea.
Instead they send mail to a MailToUrl mailbox that saves the attachments and replies with
a URL that can be pasted into email that is sent. The mail recipients can, if they wish,
read the attachments by clicking on the URL.

Help in maintaining the list of authorised users is also provided by MailToUrlUsers.

%prep
%setup -q

%build
%install
# RPM_BUILD_ROOT is set by BuildRoot: above

rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT%{_prefix} VERSION=%{version} RELEASE=%{release} DOCDIR=$RPM_BUILD_ROOT/%{docd} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/MailToUrl
%{_bindir}/MailToUrlUsers
%doc Hacks README Documentation Contributors License
%{_mandir}/man*/MailToUrl.*
%{_mandir}/man*/MailToUrlUsers.*

%changelog
* Tue Nov 19 2019 Alain Williams <addw@phcomp.co.uk>
- Documentation directory no longer has version number (Fedora >= 30 && rehdat >= 8)
- Tar file has release as part of its name
* Mon May 09 2011 Alain Williams <addw@phcomp.co.uk>
- Make max file name changable by admin command, make clear that a quote of zero means no limit
* Tue Mar 02 2010 Alain Williams <addw@phcomp.co.uk>
- Add .UserFile & .UserReadOnly options & ability to change list of users by email
* Wed Jan 20 2010 Alain Williams <addw@phcomp.co.uk>
- Update README with a fuller list of features
* Mon May 04 2009 Alain Williams <addw@phcomp.co.uk>
- Put mailbox name on log messages
* Sun May 03 2009 Alain Williams <addw@phcomp.co.uk>
- Add admin commands via email, quick start in documentation
* Thu Apr 02 2009 Alain Williams <addw@phcomp.co.uk>
- Add MailToUrlUsers
* Mon Dec 29 2008 Alain Williams <addw@phcomp.co.uk>
- First time as an RPM
